package org.dromara.payment.common.service;

import org.dromara.payment.common.domain.BusOperLog;
import org.dromara.payment.common.domain.vo.BusOperLogVo;
import org.dromara.payment.common.domain.bo.BusOperLogBo;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.common.mybatis.core.page.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 业务操作日志Service接口
 *
 * @author LionLi
 * @date 2024-04-10
 */
public interface IBusOperLogService {

    /**
     * 查询业务操作日志
     */
    BusOperLogVo queryById(Long id);

    /**
     * 查询业务操作日志列表
     */
    TableDataInfo<BusOperLogVo> queryPageList(BusOperLogBo bo, PageQuery pageQuery);

    /**
     * 查询业务操作日志列表
     */
    List<BusOperLogVo> queryList(BusOperLogBo bo);

    /**
     * 新增业务操作日志
     */
    Boolean insertByBo(BusOperLogBo bo);

    /**
     * 修改业务操作日志
     */
    Boolean updateByBo(BusOperLogBo bo);

    /**
     * 校验并批量删除业务操作日志信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
